import tensorflow as tf
print(tf.test.is_gpu_available())

import keras
from keras.backend.tensorflow_backend import set_session
tf_config = tf.ConfigProto()
tf_config.gpu_options.per_process_gpu_memory_fraction = 0.5 # 50% GPU memory usage at most
tf_config.gpu_options.allow_growth = True
set_session(tf.Session(config=tf_config))

x = tf.constant([[1,2,3], [4,5,6], [7,8,9]])
y = tf.constant([[4,5,6], [7,8,9], [1,2,3]])

result = tf.matmul(x,y)
with tf.Session() as sess:
    print("Result: ")
    print(result.eval())